org.codehaus.groovy.runtime

## Class NumberAwareComparator<T>

- java.lang.Object
- - org.codehaus.groovy.runtime.NumberAwareComparator<T>

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<T>

    public class NumberAwareComparator<T>
    extends java.lang.Object
    implements java.util.Comparator<T>, java.io.Serializable

Compares two objects using Groovy's friendly comparison algorithm, i.e. handles nulls gracefully (nul being less than everything else) and performs numeric type coercion if required.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NumberAwareComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(T o1, T o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### NumberAwareComparator

    public NumberAwareComparator()

### Method Detail

#### compare

    public int compare(T o1,
                       T o2)

Specified by:
  `compare` in interface `java.util.Comparator<T>`